#pragma once
#include"../Eigen/Dense"


int Limit_Int(int value,int minValue,int maxValue);
double Limit_Double(double value, double minValue, double maxValue);

void QuickSort(Eigen::VectorXi& array, Eigen::VectorXi& index, int low, int high);
int GetStandard(Eigen::VectorXi& array, Eigen::VectorXi& index, int i, int j);
void Unique(Eigen::VectorXi& array, Eigen::VectorXi& index);